Friendica Documentation and Resources
=====================================

**User Manual**

* General functions - first steps
	* [Account Basics](help/Account-Basics)
	* [New User Quick Start](help/Quick-Start-guide)
	* [Creating posts](help/Text_editor)
	* [BBCode tag reference](help/BBCode)
	* [Comment, sort and delete posts](help/Text_comment)
	* [Profiles](help/Profiles)
	* [Accesskey reference](help/Accesskeys)
	* [Events](help/events)
* You and other users
	* [Connectors](help/Connectors)
	* [Making Friends](help/Making-Friends)
	* [Groups and Privacy](help/Groups-and-Privacy)
	* [Tags and Mentions](help/Tags-and-Mentions)
	* [Community Forums](help/Forums)
	* [Chats](help/Chats)
* Further information
	* [Move your account](help/Move-Account)
	* [Delete your account](help/Remove-Account)
	* [Frequently asked questions (FAQ)](help/FAQ)

**Admin Manual**

* [Install](help/Install)
* [Update](help/Update)
* [Settings & Admin Panel](help/Settings)
* [Installing Connectors (Twitter/GNU Social)](help/Installing-Connectors)
* [Install an ejabberd server (XMPP chat) with synchronized credentials](help/install-ejabberd)
* [Using SSL with Friendica](help/SSL)
* [Config values that can only be set in .htconfig.php](help/htconfig)
* [Improve Performance](help/Improve-Performance)

**Developer Manual**

* [Get started](help/Developers-Intro)
* Set up development environment
	* [Help on Github](help/Github)
	* [Help on Vagrant](help/Vagrant)
	* [Bugs and Issues](help/Bugs-and-Issues)
* Code structure
	* [Addon Development](help/Addons)
	* [Theme Development](help/themes)
	* [Smarty 3 Templates](help/smarty3-templates)
* How To
	* [Translate Friendica](help/translations)
	* [Use Composer](help/Composer)
	* [Move classes to `src`](help/Developer-How-To-Move-Classes-to-src)
* Reference
	* [Twitter/GNU Social API Functions](help/api)
	* [Code (Doxygen generated - sets cookies)](doc/html/)
	* [Protocol Documentation](help/Protocol)
	* [Database schema documantation](help/database)
	* [Class Autoloading](help/autoloader)

**External Resources**

* [Main Website](https://friendi.ca)
* Ways to get Support
  * [Friendica Support Forum](https://forum.friendi.ca/~helpers)
  * [Mailing List Archive](http://mailman.friendi.ca/mailman/listinfo/support-friendi.ca) you can subscribe to the list by sending an email to ``support-request(at)friendi.ca?subject=subscribe``
  * XMPP/Jabber MUC: support(at)forum.friendi.ca
  * IRC: #friendica at irc.freenode.net
  * Matrix: #friendi.ca or #friendica at matrix.org

**About**

* [Site/Version Info](friendica)
* [Friendica Credits](credits)

